> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vault Assets

> Lists a vault's assets with balances (available/quarantined/locked) and USD valuation.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Vaults:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /vaults/{vaultId}/assets
openapi: 3.1.0
info:
  version: 1.910.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /vaults/{vaultId}/assets:
    get:
      tags:
        - Vaults
      summary: List Vault Assets
      description: >-
        Lists a vault's assets with balances (available/quarantined/locked) and
        USD valuation.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: Vault id.
          required: true
          description: Vault id.
          name: vaultId
          in: path
        - schema:
            type:
              - boolean
              - 'null'
            default: false
          required: false
          name: showUnverified
          in: query
        - schema:
            type: string
          required: false
          name: network
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/VaultAsset'
                  netWorth:
                    $ref: '#/components/schemas/VaultNetWorth'
                required:
                  - items
                  - netWorth
                additionalProperties: false
      security:
        - authenticationToken: []
components:
  schemas:
    VaultAsset:
      type: object
      properties:
        kind:
          type: string
        network:
          type: string
        tid:
          type: string
        decimals:
          type: number
        symbol:
          type: string
        verified:
          type: boolean
        availableBalance:
          type: string
        quarantinedBalance:
          type: string
        lockedBalance:
          type: string
        quotes:
          type: object
          properties:
            USD:
              type: number
      required:
        - kind
        - network
        - tid
        - decimals
        - availableBalance
        - quarantinedBalance
        - lockedBalance
      additionalProperties: false
      description: Vault asset with balances broken down by kind and USD unit price.
    VaultNetWorth:
      type: object
      properties:
        available:
          type: object
          properties:
            USD:
              type: number
        quarantined:
          type: object
          properties:
            USD:
              type: number
        locked:
          type: object
          properties:
            USD:
              type: number
        total:
          type: object
          properties:
            USD:
              type: number
      required:
        - available
        - quarantined
        - locked
        - total
      additionalProperties: false
      description: Vault net worth in fiat, broken down by balance kind plus a total.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````